ServerEvents.recipes(event => {

event.recipes.botanypots.crop(
        'tofucraft:seeds_soybeans_block',
        ['farmland'],
        { block:'tofucraft:seeds_soybeans_block'},[
            Item.of ('tofucraft:seeds_soybeans')
                .withChance(1)
                .withRolls(1, 2),
            Item.of ('tofucraft:edamame')
                .withChance(0.5)
                .withRolls(0, 1),

             Item.of ('tofucraft:sprouts')
                .withChance(0.1)
                .withRolls(0, 1)
       ],
        1200,
        1, 
    )

event.recipes.botanypots.crop(
        'tofucraft:seeds_soybeans_soul_block',
        ['soul_soil','soul_sand'],
        { block:'tofucraft:seeds_soybeans_soul_block'},[
            Item.of ('tofucraft:seeds_soybeans_soul')
                .withChance(1)
                .withRolls(1, 2)
       ],
        1200,
        1, 
    )

event.recipes.botanypots.crop(
        'tofucraft:seeds_soybeans_nether_block',
        ['netherrack','soul_sand'],
        { block:'tofucraft:seeds_soybeans_nether_block'},[
            Item.of ('tofucraft:seeds_soybeans_nether')
                .withChance(1)
                .withRolls(1, 2)
       ],
        1200,
        1, 
    )

})